<?php
/**
 * @package     Joomla.Site
 * @subpackage  Layout
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
$params  = $displayData->params;
?>
<?php $images = json_decode($displayData->images); ?>
<?php if (isset($images->image_intro) && !empty($images->image_intro)) : ?>
	<?php $imgfloat = (empty($images->float_intro)) ? $params->get('float_intro') : $images->float_intro; ?>
	<div class="img-<?php echo htmlspecialchars($imgfloat); ?> item-image article-image ">
	<?php if ($images->image_intro_caption):
		echo '<figure>';
	endif; ?> 
	
	<img src="<?php echo htmlspecialchars($images->image_intro); ?>" alt="<?php echo htmlspecialchars($images->image_intro_alt); ?>" itemprop="thumbnailUrl"/>
	<?php if ($images->image_intro_caption):
	echo '<figcaption>'. htmlspecialchars($images->image_intro_caption) .'</figcaption>
		</figure>';
	endif; ?>
	</div>
<?php endif; ?>
