jQuery(document).ready(function($) {
	
	 
	// $('#zen-wrap-inner').vide("video/17A259_092"); // Non declarative initialization
	//$('#zen-wrap-inner').okvideo({  source: '15529423'}) 
	//$('.masthead-video').coverVid(1920, 1080);
	         
	// Get height of top area
	var topHeight = $('#topwrap').height();
	var logoHeight = $('#logowrap').height();
	var navTop = $('#navwrap').offset();
	
		
	$('.toolbar-fixed').css({'top': (navTop.top) + 'px'});
	 
	$('.one-page .toolbar-fixed,.one-page #navwrap').css({'top': (topHeight + logoHeight) + 'px'});
	 
	 
	var pageHeight = $(window).height();
	// On short pages zen-wrap doesnt stretch full height
	$('#zen-wrap-inner').css({'min-height':pageHeight + 'px'});
	
	// Mkae the sections all min height on one page mode
	$('.one-page .middle-row .zen-spotlight,.one-page .pixel').css({'minHeight':pageHeight + 'px'});
	
	 	 
	 
	
 	$(window).bind("debouncedresize", function() {
		// Page height for one page
 		var pageHeight = $(window).height();
		$('#zen-wrap-inner').css({'min-height':pageHeight + 'px'});
 		$('.one-page .middle-row .zen-spotlight,.one-page .pixel').css({'minHeight':pageHeight});
 		$('.one-page #bannerwrap.middle-row .zen-spotlight').css({'minHeight':pageHeight});
 	});
	 	
	 	
 	// Touch devices
 	if (Modernizr.touch) {   
 		jQuery('li.parent > a').click(function(e){
 		
 			//If a menu item is a parent and a link then prevent default if sub is hidden
 			if (!jQuery(this).closest('li.parent').hasClass('open')){
 				e.preventDefault();
 				jQuery(this).closest('li.parent').addClass('open');
 			}
 		});
 		
 		jQuery('body').click(function(e){
 			//If there is a click elsewhere then remove the open class from parents
 			if ( !jQuery(e.target).is('li.parent > a') ) {
 				jQuery('.zen-menu li.parent').removeClass('open');
 			}
 		});
 	}
	 	
});



(function ($) {
	// Checks to see if menu is offscreen and attaches zen-menu-offscreen class
	$.fn.append_nav = function (collapse) {
		
		var offcanvastarget = '#off-canvas-menu';	
		var window_width = $(window).width();		
	
		if(window_width < collapse) {
			
			if(!$(offcanvastarget + ' ul').hasClass('simple-list')) {
				var nav = $('#menu ul').html();
			
				$(offcanvastarget + ' ul').append(nav).addClass('simple-list').parent().addClass('accordion');
			}
		}	
	}
})(jQuery);