<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */


?>

<?php if($this->checkSpotlight('bottom')) {?>

	<section data-id="bottom"  id="bottomwrap" class="middle-row clearfix <?php echo $this->rowClass('bottom');?>">
		<div class="zen-container">
			<a id="bottom-link" name="bottom-link"></a>
			<?php $this->getModules('bottom');?>
		</div>
		<?php if($this->params->use_pixel) { ?>
			<div class="pixel"></div>
		<?php }?>
	</section>
	
<?php 
if($this->params->bottomimages !=="none") {
	$path = ltrim($this->params->bottomimages, '/');
	$files = JFolder::files(JPATH_ROOT.'/'.$path);
	$exclude = array('index.html','.','..','.DS_Store');
	$files = array_diff($files, $exclude);
	
	?>
	<script>
	
		jQuery(document).ready(function($) {
			$('#bottomwrap').backstretch([
			    <?php 
			    foreach ($files as $image) {
			    echo '"';
			    echo JURI::base().$path.'/'.$image;
			    echo '",';
			    } ?>
			], {duration: <?php echo $this->params->slideshowduration;?>, fade: <?php echo $this->params->transitionspeed;?>,lazyload: true});
			
		});
	</script>
<?php } 

}
?>