<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */


?>

<?php if($this->checkSpotlight('grid2')) { ?>
	<section data-id="grid2"  id="grid2wrap" class="middle-row no-full clearfix <?php echo $this->rowClass('grid2');?>">
		<div class="zen-container">
			<a id="grid2-link" name="grid2-link"></a>
			<?php $this->getModules('grid2');?>
		</div>
		<?php if($this->params->use_pixel) { ?>
			<div class="pixel"></div>
		<?php }?>
	</section>
	
	<?php 
	if($this->params->grid2images !=="none") {
		$path = ltrim($this->params->grid2images, '/');
		$files = JFolder::files(JPATH_ROOT.'/'.$path);
		$exclude = array('index.html','.','..','.DS_Store');
		$files = array_diff($files, $exclude);
		
		?>
		<script>
		
			jQuery(document).ready(function($) {
				$('#grid2wrap').backstretch([
				    <?php 
				    foreach ($files as $image) {
				    echo '"';
				    echo JURI::base().$path.'/'.$image;
				    echo '",';
				    } ?>
				], {duration: <?php echo $this->params->slideshowduration;?>, fade: <?php echo $this->params->transitionspeed;?>,lazyload: true});
				
			});
		</script>
	<?php } 
	
	}
	?>