<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */

//
//
// Lazyload Images
//
//

if($this->params->lazyload) { ?>
	<script>
		jQuery(document).ready(function($){
			$("<?php echo $this->params->llselector; ?>").not("<?php echo $this->params->llnotselector; ?>").lazyload({
				effect : "fadeIn"
		});
	});
	</script>
<?php } ?>



<?php 

//
//
// Back To top button
//
//

if($this->params->backtotop) {?>
<div id="toTop" class="hidden-phone"><a id="toTopLink"><span class="fa fa-arrow-up zen-icon zen-icon-arrow-up"></span><span id="toTopText"> Back to top</span></a></div>
<script>
	jQuery(document).ready(function($){
		$(window).scroll(function () {
			if ($(this).scrollTop() >200) {
			 	$("#toTop").fadeIn();
			}
			else {
			 	$("#toTop").fadeOut();
			}
		});
		
		$("#toTop").click(function() {
			$("html, body").animate({ scrollTop: 0 }, "slow");
			 return false;
		});
	});
</script>
<?php } ?>



<?php 

if($this->params->accordion) {

//
// Accordion
//


?><script>
jQuery(document).ready(function($){
	$('.sidebar').zenaccordion({
		<?php if($this->params->accordionOpenFirst) { ?>
  		 openfirst: true,
  		 <?php } 
  		 if($this->params->accordionShowActive) { ?>
  		 showactive: true,
  		 <?php } ?>
  		 type:"<?php echo $this->params->accordionType ?>"
 	});
});
</script>
<?php } ?>





<?php if($this->params->onepage) {

//
// One Page
// 

?>


<script>
jQuery(document).ready(function($){
	// Das ist Smooth linking
	$('#navwrap a,#off-canvas-menu a').smoothScroll({
		offset: 0,
		easing: 'swing'
	});
	
	// make the first menu item active
	$('#navwrap li:first-child').addClass('active');
	
	$('#navwrap a').click(function() {
		$('#navwrap a').parent().removeClass('active'); 
		$(this).parent().addClass('active');
		$('html').addClass('onepage-clicked');
		
		setTimeout(function() {
		$('html').removeClass('onepage-clicked');
		}, 600)
		
		return false;
	});
	
	$('#off-canvas-menu a').live('click', function() {		
		
		$('#off-canvas-menu a').smoothScroll({
			offset: 60,
			easing: 'swing'
		});
		
		return false;
	});
	
	
	// One page
	 	$(function(){
	 	    // Gets the height of the sections
	 	   var sections = {},
		        _height  = $(window).height() - 100,
		        i        = 0;
			
		    // Grab positions of our sections 
		    $('.one-page section').each(function(){
		    	var id = $(this).attr('data-id');
		    	
		    	if(typeof id !== 'undefined') {
		       	 sections[id] = $(this).offset().top;
		       	}
		    });
	 	
	 	    
	
	 	    // Regets the height on window resize
	 	    $(window).resize(function() {
		    	var sections = {},
	    	        _height  = $(window).height(),
	    	        i        = 0;
	    	
	    	    // Grab positions of our sections 
	    	    $('.one-page section').each(function(){
	    	    	var id = $(this).attr('data-id');
	    	    	
	    	    	if(typeof id !== 'undefined') {
	    	       	 sections[id] = $(this).offset().top;
	    	       	}
	    	    });
	 	    });
	 	    
	 	    $(document).scroll(function(){
		 			
		 		if(!$('html').hasClass('onepage-clicked')) {	
		 			
		 			setTimeout(
		 			
			 			function() {
			 				
			 				// Offset to account for something I cant see right now
			 				var pos = $(this).scrollTop() - 600;
			 			 					
					        // Look in the sections object and see if any section is viewable on the screen. 
					        // If two are viewable, the lower one will be the active one. 
					        for(i in sections){
					        
					            if(sections[i] > pos && sections[i] < pos + _height){
					                $('li').removeClass('active');
					                $('section').removeClass('active');
					                $('#menu [data-name="' + i + '"]').parent().addClass('active');
					                
					                $('section[data-id="' + i +'"]').addClass('active');
					            }  
					            
					           }			      
			 					        
			 			}, 400);
			 		}
		 	       
		 	    	});
		 		});
		 		
		 		
		 		$(document).scroll(function() {
		 		    //Only fires at most once every half-second
		 		    
		 		    if (timer > 50) {
		 		        timer = 0;
		 		        
		 		        var buffer = $('section.active').offset();
		 		        	buffer = buffer.top;
		 		        var pos = $(this).scrollTop();
		 		        
		 		        if(!$('html').hasClass('onepage-clicked')) {	
		 		        	
		 		        	if(pos > 200) {
			 		        	if(pos > (buffer + 400) || pos < (buffer - 300)) {
			 		        		 $('#logowrap').fadeOut();
			 		        	}
			 		        	else {
			 		        	 	$('#logowrap').fadeIn();
			 		        	}
			 		        }	else {
			 		        	$('#logowrap').fadeIn();
			 		        }
						}		    
					}
					
					
		 		});
		 		
		 		var timer = 0;
		 		setInterval(function () { timer += 50; }, 50);
		 		
		 		
		 		if($('html').hasClass('onepage-clicked')) {
		 			$('#logowrap').show();
		 		}
		 		
		 		// One page links click to show logo
		 		
				$('#onepage a,#off-canvas-menu a').on('click',function() {
					$('#logowrap').show();
					
					
				});
});
</script>
<?php } ?>


<?php if($this->params->stickynav) {

//
// Sticky Nav
// 

?>
<script>
jQuery(document).ready(function($){
	
	var win      = $(window),
	    fxel     = $('#navwrap'),
	    fill     = $('#sticky-fill'),
	    navheight = $('#menu').height() + 20,
	    eloffset = fxel.offset().top;
	 
	    $(fill).height(navheight);

	win.scroll(function() {
	    if (eloffset < win.scrollTop()) {
	        fxel.addClass("fixed");
	        $('html').addClass("fixed");
	       	 $(fill).addClass('visible').removeClass('hidden');
	    } else {
	        fxel.removeClass("fixed");
	        $('html').removeClass("fixed");
	        $(fill).removeClass('visible').addClass('hidden');
	    }
	});
});
</script>
<?php } ?>


<?php 

if($this->params->navcollapse_type =="select") {

//
// Select menu
//


?>
<script>
jQuery(window).ready(function ($) {
   $('#menu ul').ReSmenu({
       maxWidth:     '<?php echo $this->params->navcollapse;?>'                   // Size to which the menu is responsive
    });
});
</script>
<?php } ?>


<?php 

if($this->params->navcollapse_type =="toggle" && $this->params->enable_responsive) { 

//
//
// Toggle menu
//
//

?>
	<script>
		jQuery(document).ready(function ($) {
		   	$('#navwrap nav').meanmenu({
		   		<?php if($this->params->onepage) { ?>
		   		onePage: true,
		   		<?php } ?>
		   		meanScreenWidth: '<?php echo str_replace('px','',$this->params->navcollapse);?>' 
		   	});
		   	
		});
	</script>
<?php } ?>

<?php 

//
//
// Enable Animations
//
//

if($this->params->enable_animations) { ?>
	<script>
	 new WOW().init();
	</script>
<?php } ?>


<!-- Fonts -->
<?php if($this->params->use_font_loader) {

//
//
// Google FOnts
//
//

echo $this->fonts(
				$this->params->bodyfont,
				$this->params->headingfont,
				$this->params->navfont,
				$this->params->logofont,
				$this->params->bodyfont_custom,
				$this->params->headingfont_custom,
				$this->params->navfont_custom,
				$this->params->logofont_custom
); 

}?>

