<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */ 


// Initialise jQuery framework
JHtml::_('jquery.framework'); 

// Check to see if we should remove stuff
if($this->params->remove_generator) {
    // Remove Joomla Generator
    $this->doc->setGenerator($this->params->custom_generator);
}

if ($this->params->disable_captionjs) {
    // Remove caption code
    $this->unsetScript(JURI::root(true) . '/media/system/js/caption.js');
    $this->unsetCaptionJs();
}


if ($this->params->replace_jQuery && $this->params->jquery_location) {
   $this->doc->_scripts = $this->replace_key_function($this->doc->_scripts, JURI::root(true) . '/media/jui/js/jquery.min.js' , $this->params->jquery_location);
}

// If replace jQuery
if($this->params->replace_jQuery && $this->params->jquery_location) {
	$this->doc->addScript($this->params->jquery_location);
} ?>


<?php if($this->params->enable_responsive) { ?>
	<?php if($this->params->allow_pinch) { ?>
		<meta name="viewport" content="width=device-width, initial-scale=1.0,  user-scalable=yes"/>
	<?php } else { ?>
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
	<?php } ?>
	<meta name="HandheldFriendly" content="true" />
	<meta name="apple-mobile-web-app-capable" content="YES" />
<?php } ?>
	<jdoc:include type="head" />
	<?php if(!$this->params->use_font_loader) {
		$this->loadFonts();
	} ?>
	<?php $this->load_css(); ?>
	<?php $this->load_asset('css/custom','.css'); ?>

	<?php 	// Load Boostrap Js as well?
			if(
			(	$this->params->framework_version == "bootstrap2" || 
				$this->params->framework_version == "bootstrap3") 
				&& $this->params->framework_enable) {
				
					//JHtml::_('bootstrap.framework');
			}
		// Loads js files 
		$this->load_js();?>
	<?php $this->loadBlock('fonts'); ?>