<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */

$slideshow_controls = 1;

if(
	$this->params->slidenav ||
	$this->params->slideplay ||
	$this->params->slidefullscreen &&
	$this->params->enable_slideshow
	
) {
	$slideshow_controls = 1;
}
?>

<?php if ($this->countModules('social') || $slideshow_controls) { ?>
<div id="toolbar-left" class="toolbar-fixed">
	<?php $this->loadBlock('social'); ?>
</div>


<div id="toolbar-right" class="toolbar-fixed fixed-right slideshow-controls">
	<?php if($this->params->enable_slideshow) {  
	
			 if($this->params->slidenav) {?>
				
				<a class="slideshow-prev slideshow-control" href="#"><span class="fa fa-backward zen-icon zen-icon-backward"></span></a>
		
				<a class="slideshow-next  slideshow-control" href="#"><span class="fa fa-forward zen-icon zen-icon-forward"></span></a>
			<?php } ?>
	
			<?php if($this->params->slideplay) {?>
				<a class="slideshow-pause slideshow-control" href="#"><span class="fa fa-pause zen-icon zen-icon-pause"></span></a>
		
				<a style="display: none;" class="slideshow-resume  slideshow-control" href="#"><span class="fa fa-resume zen-icon zen-icon-play"></span></a>
			<?php } ?>
	
			<?php if($this->params->slidefullscreen) {?>
				<a class="slideshow-expand slideshow-control" href="#"><span class="fa fa-expand zen-icon zen-icon-expand"></span></a>
			<?php } ?>
		<?php } ?>
	</div>

<?php if($this->params->slidefullscreen) {?>
	<div id="fullscreen-top-bar"></div>
<?php } ?>
<?php } ?>