<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2014
Copyright:	Anthony Olsen - (C) 2014 - All rights reserved
/* ===================================================================== */

$offcanvas = '';

if($this->countModules('offcanvas') || $this->params->navcollapse_type =="offcanvas") {
	$offcanvas = 'with-offcanvas';
}
?>

<?php if($this->checkSpotlight('menu') || $this->countModules('offcanvas') || $this->params->navcollapse_type =="offcanvas") {?>
	<!-- NAVBAR HEADER -->
	
	<?php if($this->params->stickynav) { ?>
	<div id="sticky-fill" class="hidden"></div>
	<?php } ?>
	
	<section id="navwrap" class="no-full wrap <?php echo $this->rowClass('menu');?>">
		<div class="zen-container">
			<div class="navbar-default zen-row">
				<div class="zen-spotlight">
						<div id="menu" class="zen-menu zen-menu-horizontal zen-menu-<?php echo $this->params->menu_align;?> zen-menu-<?php echo $this->params->dropdown_animation;?> <?php echo $offcanvas;?>">
							<div class="navbar-header">
								<div class="zg-col zg-col-<?php echo $this->layout->menu->positions->menu;?>">
								<nav role="navigation">
								<!-- NAVBAR MAIN -->
								<?php if($this->params->onepage) { 
								
									$this->loadBlock('menu-onepage');
								
								 } else { ?>
													
													
									<jdoc:include type="modules" name="menu" style="simple" />
										<?php } ?>
								</nav>
							</div>
	
						
						<?php if ($this->countModules('offcanvas') || $this->params->navcollapse_type =="offcanvas") : ?>
							<a class="btn off-canvas-trigger sb-toggle-<?php echo $this->params->offcanvas_position;?> visible-<?php echo $this->params->offcanvas_min_width;?>"><?php echo $this->params->offcanvas_trigger;?></a>
						<?php endif;?>
					</div>
				</div>
			</div>
		</section>
		
<?php } ?>